For the complete documentation index, see llms.txt. This page is also available as Markdown.

Set Limit with OTP

Set or update Mandiri Direct Debit limit using OTP.

Endpoint

Environment
Method
URL

Development

POST

https://devo.finnet.co.id/pg/payment/card/directdebit/limit

Production

POST

https://live.finnet.co.id/pg/payment/card/directdebit/limit

Body Request

Content-Type: application/json.

No
Name
Type
Mandatory
Description

1

cardToken

String

M

Card token.

2

journeyID

String

M

Journey ID.

3

chargeToken

String

M

Charge token.

4

limit

String

M

Limit amount as string.

5

otp

String

M

OTP received by the customer.

6

merchantId

String

M

Merchant ID.

7

sofId

String

M

SOF ID. Value for Mandiri Direct Debit: ddmandiri.

Sample Request

{
  "cardToken": "29DD80A884606C83BE21C1066029B924",
  "journeyID": "90a17257f9ce4590b8789b82d76e33ac",
  "chargeToken": "417858019482",
  "limit": "1000000",
  "otp": "250948",
  "merchantId": "FINPAY770",
  "sofId": "ddmandiri"
}

Body Response

No
Name
Type
Mandatory
Description

1

responseCode

M

Response Code.

2

responseMessage

String

M

Response Message.

4

processingTime

Number

M

Processing time.

5

traceId

String

M

Trace ID for debugging/troubleshooting.

Sample Response

Last updated